### Hierarchy

- unknown
  - TakeOfferRequest

## Index

### Constructors

- constructor

### Methods

- getOfferId
- getPaymentAccountId
- serializeBinary
- setOfferId
- setPaymentAccountId
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new TakeOfferRequest(): TakeOfferRequest

- Inherited from jspb.Message.constructor

  #### Returns TakeOfferRequest

## Methods

### getOfferId

- getOfferId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2274

  #### Returns string

### getPaymentAccountId

- getPaymentAccountId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2277

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2280

  #### Returns Uint8Array

### setOfferId

- setOfferId(value: string): TakeOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2275

  #### Parameters

  - ##### value: string

  #### Returns TakeOfferRequest

### setPaymentAccountId

- setPaymentAccountId(value: string): TakeOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2278

  #### Parameters

  - ##### value: string

  #### Returns TakeOfferRequest

### toObject

- toObject(includeInstance?: boolean): TakeOfferRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2281

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns TakeOfferRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): TakeOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2284

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns TakeOfferRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: TakeOfferRequest, reader: BinaryReader): TakeOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2285

  #### Parameters

  - ##### message: TakeOfferRequest

  - ##### reader: BinaryReader

  #### Returns TakeOfferRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: TakeOfferRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2283

  #### Parameters

  - ##### message: TakeOfferRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: TakeOfferRequest ): TakeOfferRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2282

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: TakeOfferRequest

  #### Returns TakeOfferRequest . AsObject

Generated using TypeDoc